std::binary_negate(3)

NAME
std::binary_negate -

SYNOPSIS

Inherits binary_function< _Predicate::first_argument_type, _Predicate::second_argument_type, bool >.

Detailed Description

  template<class _Predicate> class std::binary_negate< _Predicate >

Definition at line 334 of file stl_function.h.

  Public Types
typedef _Predicate::first_argument_type first_argument_type
typedef bool result_type
typedef _Predicate::second_argument_type second_argument_type

  Public Member Functions
binary_negate (const _Predicate &__x)
bool operator() (const typename _Predicate::first_argument_type &__x, const typename _Predicate::second_argument_type &__y) const

  Protected Attributes
_Predicate _M_pred

Member Typedef Documentation

  typedef _Predicate::first_argument_type first_argument_type [inherited]

the type of the first argument

Definition at line 116 of file stl_function.h.

  typedef bool result_type [inherited]

type of the return type

Definition at line 120 of file stl_function.h.

  typedef _Predicate::second_argument_type second_argument_type [inherited]

(no surprises here) the type of the second argument

Definition at line 119 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.